1. PyPA
  2. Python Packaging Authority Projects
  3. setuptools
Issue #131 resolved

Test failures with python3.3

Domen Kožar
created an issue
======================================================================
ERROR: test_setup_requires (setuptools.tests.test_easy_install.TestUserInstallTest)
Regression test for Distribute issue #318
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/nix-build-python3.3m-setuptools-2.0.2.drv-0/setuptools-2.0.2/setuptools/dist.py", line 287, in fetch_build_egg
    cmd = self._egg_fetcher
AttributeError: 'Distribution' object has no attribute '_egg_fetcher'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/nix-build-python3.3m-setuptools-2.0.2.drv-0/setuptools-2.0.2/setuptools/tests/test_easy_install.py", line 268, in test_setup_requires
    run_setup(test_setup_py, ['install'])
  File "/tmp/nix-build-python3.3m-setuptools-2.0.2.drv-0/setuptools-2.0.2/setuptools/sandbox.py", line 50, in run_setup
    lambda: execfile(
  File "/tmp/nix-build-python3.3m-setuptools-2.0.2.drv-0/setuptools-2.0.2/setuptools/sandbox.py", line 100, in run
    return func()
  File "/tmp/nix-build-python3.3m-setuptools-2.0.2.drv-0/setuptools-2.0.2/setuptools/sandbox.py", line 52, in <lambda>
    {'__file__':setup_script, '__name__':'__main__'}
  File "/tmp/nix-build-python3.3m-setuptools-2.0.2.drv-0/setuptools-2.0.2/setuptools/compat.py", line 78, in execfile
    exec(compile(source, fn, 'exec'), globs, locs)
  File "setup.py", line 2, in <module>
    """Distutils setup file, used to install or test 'setuptools'"""
  File "/nix/store/9yg4a0k52g1k2xy3iyim9s30nfs8zbcn-distutils.cfg-python3.3.3/lib/python3.3/site-packages/distutils/core.py", line 109, in setup
    _setup_distribution = dist = klass(attrs)
  File "/tmp/nix-build-python3.3m-setuptools-2.0.2.drv-0/setuptools-2.0.2/setuptools/dist.py", line 239, in __init__
    self.fetch_build_eggs(attrs.pop('setup_requires'))
  File "/tmp/nix-build-python3.3m-setuptools-2.0.2.drv-0/setuptools-2.0.2/setuptools/dist.py", line 263, in fetch_build_eggs
    parse_requirements(requires), installer=self.fetch_build_egg
  File "/tmp/nix-build-python3.3m-setuptools-2.0.2.drv-0/setuptools-2.0.2/pkg_resources.py", line 563, in resolve
    dist = best[req.key] = env.best_match(req, self, installer)
  File "/tmp/nix-build-python3.3m-setuptools-2.0.2.drv-0/setuptools-2.0.2/pkg_resources.py", line 801, in best_match
    return self.obtain(req, installer) # try and download/install
  File "/tmp/nix-build-python3.3m-setuptools-2.0.2.drv-0/setuptools-2.0.2/pkg_resources.py", line 813, in obtain
    return installer(requirement)
  File "/tmp/nix-build-python3.3m-setuptools-2.0.2.drv-0/setuptools-2.0.2/setuptools/dist.py", line 298, in fetch_build_egg
    for key in opts.keys():
RuntimeError: dictionary changed size during iteration

----------------------------------------------------------------------
Ran 124 tests in 3.453s

FAILED (errors=2, skipped=8)

Comments (4)

  1. Log in to comment